Guide d'installation et de mise à jour Woocommerce

Prérequis

L'extension Alma pour WooCommerce nécessite les technologies suivantes :

  • TLS 1.2, généralement via OpenSSL 1.0.1 ou supérieur
  • PHP 5.6 ou supérieur
  • Les extensions PHP cURL et json
  • WordPress 4.4 ou supérieur
  • L'extension WooCommerce 2.6 ou supérieur, installée et activée

Une installation WordPress récente ou maintenue à jour répondra généralement à ces prérequis sans installation supplémentaire.

Si vous respectez ces prérequis et qu'Alma ne semble pas fonctionner comme prévu, consultez notre FAQ en bas de page.

Créer un compte Alma

Vous pouvez créer un compte Alma en 1 minute sur notre site. Ce compte vous permettra d'accéder à notre API et de configurer votre module Alma sur WooCommerce.

Installation

🚧

Suivant la version du plugin que vous souhaitez utiliser, veuillez vous référer à la section d'installation concernant votre version.

Télécharger la dernière version du module Woocommerce

Version > 2.6.1

  1. Dans WordPress, rendez-vous dans Extension > Ajouter.

  1. Recherchez le plugin alma dans la barre de recherche.
  2. Cliquez sur installation.
  1. Activez l'extension, puis accédez à sa page de configuration.

Version <= 2.6.1

  1. Téléchargez la dernière version de l'extension

  2. Dans WordPress, rendez-vous dans Extension > Ajouter.

  1. Cliquez sur "Téléverser une extension" à côté du titre de la page, sélectionnez le zip téléchargé.
    à l'étape 1 et validez.

  1. Activez l'extension, puis accédez à sa page de configuration.

Mise à jour d'une version <= 2.6.1 vers une version supérieure

❗️

Attention, il n'existe pour l'instant par de procédure automatisée de mise à jour entre les versions <= 2.6.1 (téléversées), et les versions supérieures disponibles dans le répertoire des extensions Wordpress.

Pour mettre à jour votre version <= 2.6.1 vers une version supérieure, il est impératif de sauvegarder vos configurations de votre plugin pour ne pas les perdre.
Désinstallez ensuite le plugin, puis suivez le guide d'installation ci dessus.
N'oubliez pas de restaurer ensuite vos configurations.

Télécharger la dernière version du module Woocommerce

Mise à jour d'une version supérieure à la 2.6.1

La mise à jour à partir d'une version supérieure à la 2.6.1 vous sera proposée automatiquement dans votre administration Wordpress comme expliqué sans la documentation officielle Wordpress